<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets">
<h:head>
        <title>Controle Financeiro</title>
     
</h:head>

  <h:body style="padding-top: 60px">
   <b:navBar brand="Controle Financeiro" brandHref="#" inverse="true" fixed="top" fluid="true">
    <h:form>
     <b:navbarLinks pull="right">
        <b:navLink value="Inicio" href="#"/>
        <b:navLink value="Configuração" href="#"/>
        <b:navCommandLink value="Sair" action="#{clienteBeans.logout}"/>
     </b:navbarLinks>
	</h:form>
</b:navBar>
 
<b:container fluid="true">
<b:column col-sm="9" offset-sm="3" col-md="10" offset="2" styleClass="main">
<h:form id="inicial">
             
          <h2>#{clienteBeans.cliente.nome} , Seja Bem Vindo!</h2>
            <hr/>

<b:row styleClass="placeholders">

<b:column col-xs="6" col-sm="3" styleClass="placeholder">
         	 <h:form>
         	    <h:outputText value="#{salarioBeans.salarioAtual}"> 
         	 	<f:convertNumber pattern="#0.00"/>
         	 	</h:outputText>
         	 	<h5>Salário cadastrado</h5>
         	 	
         	 	<h1><h:outputText value="#{salarioBeans.salarioRestante}">
         	 	<f:convertNumber pattern="#0.00"/>
         	 	</h:outputText></h1>
                <h5>Salário após os pagamentos das despesas</h5>       
			</h:form>                    
</b:column>                         
<b:column col-xs="6" col-sm="6" styleClass="placeholder">
			   <b:commandLink value="editar" onclick="$('.editarSalario').modal()"/>   
</b:column>
</b:row>
   <hr/>
   
<b:dropMenu value="novo lançamento ">
					<b:navLink value="Nova Despesa"  onclick="$('.cadastroDespesa').modal()"/>					
					<b:navLink value="Salario inicial" onclick="$('.cadastrarSalarioInicial').modal()"/>				
					<b:navLink value="Novo salario" href="#"/>
			</b:dropMenu>
                    <hr/>
</h:form>                     
 	 <b:row styleClass="table-responsive">
<h:form id="dataTableDespesas">
<h:dataTable styleClass="table table-striped" value="#{despesasBeans.listaDespesas}" var="item">
   <h:column>
             <f:facet name="header">
             <h:outputText value="Descrição" />
             </f:facet>
             <h:outputText value="#{item.descricao}" />
   </h:column>
   <h:column>
             <f:facet name="header">
             <h:outputText value="Data" />
             </f:facet>
             <h:outputText value="#{item.dataDespesa}">
             <f:convertDateTime pattern="dd/MM/yyyy" timeZone="America/Recife"/>
             </h:outputText>
   </h:column>
   <h:column>
   	         <f:facet name="header">
             <h:outputText value="Valor" />
             </f:facet>
             <h:outputText value="#{item.valor}" />
    </h:column>
    <h:column>
              <b:commandLink value="delete" action="#{despesasBeans.deleteDespesa}">
              <f:param value="#{item.id}" name="idDespesa"/> 
              </b:commandLink>
    </h:column>
    <h:column>
             <b:commandLink action="#{despesasBeans.abrirModalEditarDespesa}" value="editar" >   
	         <f:param value="#{item.id}" name="idDespesa"/>
             </b:commandLink>
    </h:column>
                            
</h:dataTable>
</h:form>
    </b:row>
     </b:column>
</b:container> 
        
        <!-- Cadastrar Salario -->
<b:container>
<h:form>       
   <b:modal id="salarioCadastro" title="Cadastre o seu salário" styleClass="cadastrarSalarioInicial">
   
   <b:inputText id="valor" 
   				required="true" 
   				placeholder="valor" 
   				value="#{salarioBeans.salario.valor}"/>
			
   <b:inputText id="data" 
   				required="true" 
   				placeholder="01/01/2019" 
   				value="#{salarioBeans.salario.data}">
   <f:convertDateTime pattern="dd/MM/yyyy" 
   					  timeZone="America/Recife"/>		
   </b:inputText>
   
   <b:commandButton action="#{salarioBeans.cadastrarSalario}" look="primary btn-block" value="Salvar"/>
</b:modal>
</h:form>
</b:container>

<!--  Modal cadastro Despesa -->
<b:container>
<h:form>       
   <b:modal id="despesaCadastro" title="Cadastre sua despesa" styleClass="cadastroDespesa">
  
   <b:inputText id="descricao" 
   				required="true" 
   				placeholder="Descrição" 
   				value="#{despesasBeans.despesa.descricao}"/>
   
   <b:inputText id="valorDespesa" 
   				required="true" 
   				placeholder="R$" 
   				value="#{despesasBeans.despesa.valor}"/>
			
   <b:inputText id="dataDespesa" 
   				required="true" 
   				placeholder="01/01/2019" 
   				value="#{despesasBeans.despesa.dataDespesa}">
   <f:convertDateTime pattern="dd/MM/yyyy" 
   					  timeZone="America/Recife"/>		
   </b:inputText>
   <b:commandButton action="#{despesasBeans.cadastrarDespesa}" look="primary btn-block" value="Salvar"/>
   
</b:modal>
</h:form>
</b:container>

<!--  Modal Editar Despesa -->
<b:container>
<h:form>       
   <b:modal id="despesaAtualizar" title="Editar despesa" styleClass="editarDespesa" >
  
   <b:inputText id="descricao" 
   				required="true" 
   				placeholder="Descrição" 
   				value="#{despesasBeans.descricaoDespesaSelecionada}"/>
   
   <b:inputText id="valorDespesa" 
   				required="true" 
   				placeholder="R$" 
   				value="#{despesasBeans.valorDespesaSelecionada}"/>
			
   <b:inputText id="dataDespesa" 
   				required="true" 
   				placeholder="01/01/2019" 
   				value="#{despesasBeans.dataDespesaSelecionada}">
   <f:convertDateTime pattern="dd/MM/yyyy" 
   					  timeZone="America/Recife"/>		
   </b:inputText>
   
   <b:commandButton action="#{despesasBeans.editarDespesa}" look="primary btn-block" value="Atualizar"/>
   
</b:modal>
</h:form>
</b:container>

<!--  Modal Editar Salario -->
<b:container>
<h:form>       
   <b:modal id="editarSalario" title="Edite seu Salario" styleClass="editarSalario" >
  
   <b:inputText id="valor" 
   				required="true" 
   				placeholder="valor" 
   				value="#{salarioBeans.salarioAtual}"/>
			
   <b:inputText id="data" 
   				required="true" 
   				placeholder="01/01/2019" 
   				value="#{salarioBeans.dataSalarioAtual}">
   <f:convertDateTime pattern="dd/MM/yyyy" 
   					  timeZone="America/Recife"/>		
   </b:inputText>
   <b:commandButton action="#{salarioBeans.editarSalario}" look="primary btn-block" value="Salvar"/>
   
</b:modal>
</h:form>
</b:container>
    </h:body>
</html>